# Record Class StConfiguration.OpenTelemetry

java.lang.Object
java.lang.Record
com.io7m.stonesignal.server.StConfiguration.OpenTelemetry

Enclosing class:
  `StConfiguration`

public static record StConfiguration.OpenTelemetry(String logicalServiceName, Optional<StConfiguration.OpenTelemetry.Logs> logs, Optional<StConfiguration.OpenTelemetry.Metrics> metrics, Optional<StConfiguration.OpenTelemetry.Traces> traces) extends Record

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final record`
  `StConfiguration.OpenTelemetry.Logs`
  Logs configuration.
  `static final record`
  `StConfiguration.OpenTelemetry.Metrics`
  Metrics configuration.
  `static enum`
  `StConfiguration.OpenTelemetry.OTLPProtocol`
  The protocol used to deliver OpenTelemetry data.
  `static final record`
  `StConfiguration.OpenTelemetry.Traces`
  Trace configuration.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpenTelemetry(String logicalServiceName, Optional<StConfiguration.OpenTelemetry.Logs> logs, Optional<StConfiguration.OpenTelemetry.Metrics> metrics, Optional<StConfiguration.OpenTelemetry.Traces> traces)`
  Configuration information for OpenTelemetry.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `logicalServiceName()`
  Returns the value of the `logicalServiceName` record component.
  `Optional<StConfiguration.OpenTelemetry.Logs>`
  `logs()`
  Returns the value of the `logs` record component.
  `Optional<StConfiguration.OpenTelemetry.Metrics>`
  `metrics()`
  Returns the value of the `metrics` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `Optional<StConfiguration.OpenTelemetry.Traces>`
  `traces()`
  Returns the value of the `traces` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OpenTelemetry

    public OpenTelemetry(@JsonPropertyDescription("The logical service name.") String logicalServiceName, @JsonPropertyDescription("The configuration for logs.") Optional<StConfiguration.OpenTelemetry.Logs> logs, @JsonPropertyDescription("The configuration for metrics.") Optional<StConfiguration.OpenTelemetry.Metrics> metrics, @JsonPropertyDescription("The configuration for traces.") Optional<StConfiguration.OpenTelemetry.Traces> traces)
    Configuration information for OpenTelemetry.
    Parameters:
      `logicalServiceName` - The logical service name
      `logs` - The configuration for OTLP logs
      `metrics` - The configuration for OTLP metrics
      `traces` - The configuration for OTLP traces

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### logicalServiceName

    @JsonPropertyDescription("The logical service name.") public String logicalServiceName()
    Returns the value of the `logicalServiceName` record component.
    Returns:
      the value of the `logicalServiceName` record component

  - ### logs

    @JsonPropertyDescription("The configuration for logs.") public Optional<StConfiguration.OpenTelemetry.Logs> logs()
    Returns the value of the `logs` record component.
    Returns:
      the value of the `logs` record component

  - ### metrics

    @JsonPropertyDescription("The configuration for metrics.") public Optional<StConfiguration.OpenTelemetry.Metrics> metrics()
    Returns the value of the `metrics` record component.
    Returns:
      the value of the `metrics` record component

  - ### traces

    @JsonPropertyDescription("The configuration for traces.") public Optional<StConfiguration.OpenTelemetry.Traces> traces()
    Returns the value of the `traces` record component.
    Returns:
      the value of the `traces` record component